org.jboss.netty.handler.codec.http.multipart

## Class HttpPostRequestEncoder.ErrorDataEncoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.netty.handler.codec.http.multipart.HttpPostRequestEncoder.ErrorDataEncoderException

All Implemented Interfaces:
  Serializable

Enclosing class:
  HttpPostRequestEncoder

    public static class HttpPostRequestEncoder.ErrorDataEncoderException
    extends Exception

Exception when an error occurs while encoding

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpPostRequestEncoder.ErrorDataEncoderException()`
`HttpPostRequestEncoder.ErrorDataEncoderException(String arg0)`
`HttpPostRequestEncoder.ErrorDataEncoderException(String arg0, Throwable arg1)`
`HttpPostRequestEncoder.ErrorDataEncoderException(Throwable arg0)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpPostRequestEncoder.ErrorDataEncoderException

    public HttpPostRequestEncoder.ErrorDataEncoderException()

#### HttpPostRequestEncoder.ErrorDataEncoderException

    public HttpPostRequestEncoder.ErrorDataEncoderException(String arg0)

Parameters:
  `arg0` -

#### HttpPostRequestEncoder.ErrorDataEncoderException

    public HttpPostRequestEncoder.ErrorDataEncoderException(Throwable arg0)

Parameters:
  `arg0` -

#### HttpPostRequestEncoder.ErrorDataEncoderException

    public HttpPostRequestEncoder.ErrorDataEncoderException(String arg0,
                                                    Throwable arg1)

Parameters:
  `arg0` -
  `arg1` -